v3.0
put
/ec-site-svc/rest/v3.0/studies/{studyId}/{mode}/labs/{studyLabId}/labnormals
Compared with v2, this version adds operationType-driven bulk actions (CREATE, UPDATE, REMOVE) for lab normals.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string(uuid)
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyLabId(required): string(uuid)
The lab ID for which to create lab normals.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Nested Schema : LabNormalOpTypeTO
Type:
Show Source
object-
labNormalList(required): array
Lab Normal List
Title:
Lab Normal ListLab normals included in the operation. -
operationType(required): string
Allowed Values:
[ "CREATE", "UPDATE", "REMOVE" ]Operation for each lab normal bundle. Allowed values: CREATE (add new lab normal rows), UPDATE (modify existing rows), REMOVE (delete existing rows).Example:UPDATE
Nested Schema : Lab Normal List
Type:
arrayTitle:
Lab Normal ListLab normals included in the operation.
Show Source
-
Array of:
object LabNormalTO v1.0
Title:
LabNormalTO v1.0Schema describing a lab normal entry.
Example:
[
{
"sequence":1,
"test":"HEMOGLOBIN",
"labUnit":"mg/dL",
"lowRange":"10",
"highRange":"100",
"gender":"Female",
"ageFrom":5,
"ageTo":15,
"ageFromUnits":"years",
"ageToUnits":"years"
}
]Nested Schema : LabNormalTO v1.0
Type:
objectTitle:
LabNormalTO v1.0Schema describing a lab normal entry.
Show Source
-
ageFrom(required): integer
(int32)
Title:
Age FromLower bound for the age range.Example:5 -
ageFromUnits(required): string
Title:
Age From UnitsUnits used for the lower age bound.Example:years -
ageTo(required): integer
(int32)
Title:
Age ToUpper bound for the age range.Example:15 -
ageToUnits(required): string
Title:
Age To UnitsUnits used for the upper age bound.Example:years -
effectiveDate(required): string
(date)
Title:
Effective DateDate when the lab normal becomes effective.Example:2025-01-01 -
fasting: string
Title:
FastingAllowed Values:[ "Yes", "No" ]Fasting flag for the lab normal.Example:Yes -
gender: string
Title:
GenderGender applicable to the lab normal.Example:Female -
highRange: string
Title:
High RangeUpper limit for the lab normal range.Example:100 -
labNormalId: string
(uuid)
-
labUnit: string
Title:
Lab UnitMeasurement unit for the lab test.Example:mg/dL -
lowRange: string
Title:
Low RangeLower limit for the lab normal range.Example:10 -
race: string
Title:
RaceRace targeted by the lab normal.Example:Asian -
sequence(required): integer
(int32)
Title:
SequenceMinimum Value:1Ordering number for the lab normal.Example:5 -
standardResult: string
Title:
Standard ResultStandard result value for the lab normal.Example:100 -
test(required): string
Title:
TestName of the lab test.Example:HEMOGLOBIN
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object LabNormalTO v1.0
Title:
LabNormalTO v1.0Schema describing a lab normal entry.
Nested Schema : LabNormalTO v1.0
Type:
objectTitle:
LabNormalTO v1.0Schema describing a lab normal entry.
Show Source
-
ageFrom(required): integer
(int32)
Title:
Age FromLower bound for the age range.Example:5 -
ageFromUnits(required): string
Title:
Age From UnitsUnits used for the lower age bound.Example:years -
ageTo(required): integer
(int32)
Title:
Age ToUpper bound for the age range.Example:15 -
ageToUnits(required): string
Title:
Age To UnitsUnits used for the upper age bound.Example:years -
effectiveDate(required): string
(date)
Title:
Effective DateDate when the lab normal becomes effective.Example:2025-01-01 -
fasting: string
Title:
FastingAllowed Values:[ "Yes", "No" ]Fasting flag for the lab normal.Example:Yes -
gender: string
Title:
GenderGender applicable to the lab normal.Example:Female -
highRange: string
Title:
High RangeUpper limit for the lab normal range.Example:100 -
labNormalId: string
(uuid)
-
labUnit: string
Title:
Lab UnitMeasurement unit for the lab test.Example:mg/dL -
lowRange: string
Title:
Low RangeLower limit for the lab normal range.Example:10 -
race: string
Title:
RaceRace targeted by the lab normal.Example:Asian -
sequence(required): integer
(int32)
Title:
SequenceMinimum Value:1Ordering number for the lab normal.Example:5 -
standardResult: string
Title:
Standard ResultStandard result value for the lab normal.Example:100 -
test(required): string
Title:
TestName of the lab test.Example:HEMOGLOBIN
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples